Subject: Re: [PATCH 2/2] git-gc: skip stashes when expiring reflogs

From: Jakub Narebski <[email-masked]>
Date: Mon, 16 Jun 2008 18:52:48 +0200

Brandon Casey wrote:

> Your suggestion of per reflog expiration, along with a default
> configuration of never for the stash reflog expiration, _does_ solve
> the problem. Time will tell if this feature is useful outside of
> controlling the stash reflog expiration.

I think that different expiration periods for regular branches (long),
remote-tracking branches (short), stash (never), and HEAD (perhaps
longes) are a very good idea.

For example reflog for "pu" branch might pin quite a large amount
of non-interesting objects, protecting these unnecessarily.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git